Subject: Re: [PATCH v3 3/6] vbus: add a "vbus-proxy" bus model for vbus_driver objects

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 18 Aug 2009 13:28:40 +0300

On Tue, Aug 18, 2009 at 01:13:57PM +0300, Avi Kivity wrote:
> On 08/18/2009 01:09 PM, Michael S. Tsirkin wrote:
>>
>>> mmio and pio don't have this problem since the host can use the address
>>> to locate the destination.
>>>      
>> So userspace could map hypercall to address during setup and tell the
>> host kernel?
>>    
>
> Suppose a nested guest has two devices.  One a virtual device backed by  
> its host (our guest), and one a virtual device backed by us (the real  
> host), and assigned by the guest to the nested guest.  If both devices  
> use hypercalls, there is no way to distinguish between them.

Not sure I understand. What I had in mind is that devices would have to
either use different hypercalls and map hypercall to address during
setup, or pass address with each hypercall.  We get the hypercall,
translate the address as if it was pio access, and know the destination?

> -- 
> error compiling committee.c: too many arguments to function